M_CMP(3)

FUNCTION
m_cmp - Compare two blocks of memory.

SYNOPSIS
#include <karma_m.h>

flag m_cmp

(CONST void *block1, CONST void *block2, uaddr length)

DESCRIPTION
Compare two blocks of memory.

block1
    The first memory block.

block2
    The second memory block.

length
    The number of bytes to compare.

RETURN VALUE
TRUE if the blocks are equal, else FALSE.

Multi-threading Level
Unsafe.

NOTE
The routine compares long integers and chars.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/